INSTALLPKG(8)

NAME
installpkg - Installation von Slackware Paketen.

ZUSAMMENFASSUNG
installpkg [ --warn ] [ --md5sum ] [ --root /alternatives_wurzelverzeichnis ] [ --infobox ] [ --menu ] [ --terse ] [ --ask ] [ --priority ADD|REC|OPT|SKP ] [ --tagfile /verzeichnis/tag-datei ] paket [ paket2 ... ]

BESCHREIBUNG
installpkg installiert ein oder mehrere *.tgz, .tbz, .tlz oder .txz Pakete für die Verwendung mit Slackware Linux.

OPTIONEN

--warn paketname
    Generiert eine Liste von Dateien, welche nach Standardausgabe ("standard output") überschrieben werden würden , überschreibt dabei aber kein aktuell installiertes Paket. Die Formatierung ist für die Nutzung von Listen für Sicherungen geeignet.

--md5sum paketname
    Notiert die MD5-Prüfsumme in der Datei für Metadaten unter /var/log/packages.

--root /alternatives_wurzelverzeichnis
    Alternativer Installationspfad anstelle des / (Standard Wurzelverzeichnis) im Dateisystems. Am Beispiel /alternatives_wurzelverzeichnis. Parameter äquivalent zur ROOT-Umgebungsvariable.

--infobox
    Verwenden Sie /bin/dialog um Informationen anzuzeigen, wenn das Paket installiert wurde. Hauptsächlich verwendet, wenn Installpkg von anderen Skripten ausgeführt wird.

--menu
    Verwenden Sie /bin/dialog zur Darstellung eines Menüs, zur Erfragung, ob das oder die Pakete installiert werden sollen. Hauptsächlich verwendet, wenn Installpkg von anderen Skripten ausgeführt wird.

--terse
    Installiert das Paket mit einzeiliger Rückmeldung in die Standardausgabe.

--ask
    In Verbindung mit -menu. Wenn ausgewählt, erfrage immer, ob ein Paket unabhängig seiner Priorisierung installiert werden soll.

--priority ADD|REC|OPT|SKP
    In Verbindung mit -menu, wird über die Priorität des Pakets (zu finden in der TAG-Datei im Paketverzeichnis) automatisch ermittelt, ob eine Installation (ADD) oder ein Überspringen (SKP) angewendet wird, oder eine Empfehlung (REC) oder optional (OPT) vorgeschlagen wird. Wird die Priorität über die Kommandozeile angegeben, werden die Standardwerte aus der TAG-Datei nicht berücksichtigt.

--tagfile /einverzeichnis/tagfile
    Geben Sie eine andere zu verwendende Datei für Paketprioritäten an (in diesem Beispiel wird /somedir/tagfile genutzt). Der Standard ist "tagfile" im Verzeichnis des Pakets.

BEISPIELE

Installiert ein Schriftarten-Paket für X:

installpkg font-bh-ttf-1.0.3-noarch-1.txz

Beachten Sie, dass für bereits installierte Pakete upgradepkg(8) verwendet werden sollte.

Erstelle ein Backup der Datei, die überschrieben werden würde, wenn das Paket installiert ist:

tar czvf /tmp/backup.tar.gz \
  $(installpkg --warn font-bh-ttf-1.0.3-noarch-1.txz)

AUTOR
Patrick J. Volkerding <volkerdi@slackware.com>

SIEHE AUCH
makepkg(8), removepkg(8), explodepkg(8), pkgtool(8), upgradepkg(8)